@font-face {
  font-family: Roboto-Bold;
  src: url(fonts/Roboto-Bold.ttf);
}

@font-face {
  font-family: Roboto-Light;
  src: url(fonts/Roboto-Light.ttf);
}

@font-face {
  font-family: Roboto-Medium;
  src: url(fonts/Roboto-Medium.ttf);
}

@font-face {
  font-family: Roboto-Regular;
  src: url(fonts/Roboto-Regular.ttf);
}

* {
  margin: 0px;
  padding: 0px;
  overflow-x: hidden;
}

html {
  scroll-behavior: smooth;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
}

::-webkit-scrollbar {
  width: 6px;
}
::-webkit-scrollbar-thumb {
  background: rgb(141, 141, 141);
  border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
  background: #ffc56e;
}

body.locked {
  overflow: hidden;
}

input:focus {
  outline: none;
}
button:focus {
  outline: none;
}

/* Utils */
.visible {
  display: block !important;
}

.hidden {
  display: none !important;
}

#toast {
  visibility: hidden;
  max-width: 100px;
  height: 50px;
  margin: auto;
  background-color: #ff9f43;
  color: #fff;
  text-align: center;
  border-radius: 2px;
  position: fixed;
  z-index: 1;
  left: 0;
  right:0;
  bottom: 30px;
  font-size: 17px;
  white-space: nowrap;
  font-family: Roboto-Regular;
  overflow: hidden;
  border-radius: 35px;
}

#toast #img{
  width: 100px;
  height: 50px;
  float: left;
  padding-top: 16px;
  padding-bottom: 16px;
  box-sizing: border-box;
  background-color: #ff9f43;
  color: #fff;
  overflow: hidden;
  border-radius: 35px;
}

#toast #toastDesc{
  color: #000;
  padding: 16px;
  overflow: hidden;
  white-space: nowrap;
  border-radius: 35px;
}

#toast.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, expand 0.5s 0.5s,stay 3s 1s, shrink 0.5s 2s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, expand 0.5s 0.5s,stay 3s 1s, shrink 0.5s 4s, fadeout 0.5s 4.5s;
}

@-webkit-keyframes fadein {
  from {bottom: 0; opacity: 0;} 
  to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
  from {bottom: 0; opacity: 0;}
  to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes expand {
  from {min-width: 50px} 
  to {min-width: 350px}
}

@keyframes expand {
  from {min-width: 50px}
  to {min-width: 350px}
}
@-webkit-keyframes stay {
  from {min-width: 350px} 
  to {min-width: 350px}
}

@keyframes stay {
  from {min-width: 350px}
  to {min-width: 350px}
}
@-webkit-keyframes shrink {
  from {min-width: 350px;} 
  to {min-width: 50px;}
}

@keyframes shrink {
  from {min-width: 350px;} 
  to {min-width: 50px;}
}

@-webkit-keyframes fadeout {
  from {bottom: 30px; opacity: 1;} 
  to {bottom: 60px; opacity: 0;}
}

@keyframes fadeout {
  from {bottom: 30px; opacity: 1;}
  to {bottom: 60px; opacity: 0;}
}

/* Cart */
.m_cart {
  display: none;
  position: fixed;
  top: 100px;
  right: 54px;
  color: #fff;
  font-size: 2em;
  z-index: 9999;
  border: 2px solid rgb(104, 104, 104);
  padding: 22px 23px;
  border-radius: 50%;
  background:#ff9f43;
  box-shadow: 0px 0px 10px #c0a062;
  transition: box-shadow 0.1s ease-in-out, color 0.2s ease-in-out;
}

#badgeCartSize {
  position: absolute;
  font-size: 18px;
  font-family: 'Roboto-Light';
  top: 4px;
  left: 32px;
}

.m_cart:hover {
  color: #ff9f43;
  border: 2px solid #c0a062;
  box-shadow: 0px 0px 20px #c0a062;
  cursor: pointer;
  background-color: rgba(218, 158, 79, 0.25);
}

.m_cart .fa-shopping-cart {
  vertical-align: middle;
}

.m_cart .fa-shopping-cart::before {
  font-size: 32px;
}

.m_cart-overlay .popup-background {
  height: 100vh;
  width: 100vw;
  background-color: #ccbcaf;
  cursor: pointer;
}

.m_cart-overlay-content {
  background-color: #ff9f43;
}

.m_cart-overlay-content i {
  padding: 3px;
  border-radius: 8px;
}

.m_cart-overlay {
  display: none;
  height: calc(100vh - 100px);
  width: 400px;
  position: fixed;
  background-color: #ff9f43;
  z-index: 99999;
  border: 4px solid #888888;
  border-radius: 6px;
  top: 90px;
  right: 0;
  padding: 0 16px 20px 16px;
  -webkit-overflow-scrolling: touch !important;
  font-family: Roboto-Bold;
  pointer-events: all;
}

.m_cart-overlay .order_controls {
  width: 6%;
  color: #fff;
  display: inline-block;
  position: absolute;
  left: 0;
  top: 65px;
  overflow: hidden;
}

.m_cart-overlay .order_controls i {
  color: #fff;
  font-size: 12px;
  position: relative;
  left: 2px;
  display: block;
  height: 23px;
}

.m_cart-overlay .order_controls i:hover {
  color: red!important;
}

.m_cart-overlay input,
.m_cart-overlay textarea {
  font-family: "Roboto-Light";
  font-weight: bold;
  font-size: 14px;
  height: 30px;
  min-height: 30px;
  width: 100%;
  margin: 0 auto;
  border: 2px solid #ff9f43;
  color: #a5a5a5;
  line-height: 150%;
  font-size: 14px;
  padding-left: 4px;
}

#order_address {
  max-height: 200px;
  min-height: 80px;
  resize: vertical;
  margin-bottom: -4px !important; /* fix spacing issue */
}

#order_napomena {
  max-height: 200px;
  min-height: 50px;
  resize: vertical;
  margin-bottom: -4px !important; /* fix spacing issue */
}

.m_cart-overlay i {
  position: absolute;
  top: 6px;
  right: 6px;
  height: 30px;
  color: #fff;
  font-size: 24px;
  cursor: pointer;
}

.fa-trash-alt:before {
  font-size: 20px;
}

.m_cart-overlay .tm-contact-form-left i:not(.fa-check) {
  display: block;
  position: relative;
  color: #fff;
  font-size: 31px;
  cursor: pointer;
  right: unset;
  top: unset;
  height: 44px;
}

.tm-contact-form-left input[type=text],
.tm-contact-form-left textarea {
  color: #000;
}

.m_cart-overlay i:first-child:hover {
  color: #fff;
}

.m_cart-overlay i:first-child span {
  font-size: 15px;
  font-family: "Roboto-Bold";
}

.m_cart-overlay i:hover {
  color: #424242;
}

.m_cart-overlay .form-group {
  margin-bottom: 0;
}

.m_cart-overlay__cart-item {
  margin-bottom: 6px;
}

#cartOverlay {
  margin-top: 10px;
}

#cartOverlay > h5 {
  margin-bottom: 10px;
}

#cartOverlay .form-group {
  margin-bottom: 0;
}

.cart_screen {
  width: 100%;
}

.cart_screen ul li span:first-child {
  width: 70%;
}

.cart_screen ul li span:nth-child(2) {
  width: 10%;
  height: 20px;
  border-radius: 12px;
  background-color: white;
  text-align: center;
  font-size: 14px;
  line-height: 20px;
}

.cart_screen ul li span:last-child {
  width: 20%;
  text-align: right;
}


.cart_screen li {
  display: flex;
  flex-direction: row;
  padding: 4px 0;
  border-top: 1px dashed #777;
}

.cart_screen li:last-child {
  border-bottom: 1px dashed #777;
}

.m_cart-overlay form {
  width: 100%;
}

.form-group-payment {
  display: flex;
  flex: 0 1 auto;
  flex-direction: row;
  flex-flow: 1;
  height: 90px;
}

.form-group-payment .selected {
  position: relative;
  border: 2px solid #fff;
  border-radius: 24px;
  cursor: default;
}

.form-group-payment .selected:hover {
  border: 2px solid #fff;
}

.form-group-payment label {
  margin-right: 10px;
  cursor: pointer;
}

.form-group-payment div {
  flex: 1 auto;
  position: relative;
  width: 50%;
  text-align: center;
  height: auto;
  padding: 8px 0;
  border: 2px solid transparent;
}

.form-group-payment div:hover {
  border: 2px solid #fff;
  border-radius: 24px;
  cursor: pointer;
}

.form-group-payment div:hover i,
.form-group-payment .selected i {
  color: #fff;
}

.form-group-payment .fa-check {
  position: absolute !important;
  top: 8px !important;
  right: 10px !important;
}

.form-group-payment .fa-check:before {
  font-size: 26px;
  color: transparent;
}

.form-group-payment .selected .fa-check:before {
  color: #53dc53;
}

.form-invalid {
  color: red;
  font-size: 14px;
  padding: 8px;
  margin-top: 8px;
}

.payment-info {
  font-family: "Roboto-Regular";
  margin: 26px 0;
  letter-spacing: 1.1px;
}

.payment-info h5 {
  margin-bottom: 10px;
}

.m-cart-overlay__product {
  font-size: 16px;
  border-bottom: 1px dashed #fff;
}

.m-cart-overlay__divider {
  right: 170px;
  font-size: 1.2em;
  position: absolute;
  margin-top: 0px;
}

.m-cart-overlay__amount {
  font-size: 1.1em;
  right: 120px;
  position: absolute;
  padding: 0px 9px;
  color: #fff;
  font-weight: bold;
  border-radius: 50%;
  border: 2px solid #fff;
}

.overlay-title {
  display: block;
  font-size: 1.2em;
  font-weight: bold;
  text-decoration: underline;
  text-transform: uppercase;
  padding-top: 6px;
}

#order_products {
  color: #fff;
  background-color: #ff9f43;
  border: none;
  height: auto;
  padding-left: 4px;
  width: 85%;
  overflow: hidden;
  resize: none;
  font-size: 0.8em;
  outline: none;
}

#order_amount {
  color: #fff;
  background-color: #ff9f43;
  border: none;
  height: auto;
  padding-left: 0;
  width: 15%;
  overflow: hidden;
  resize: none;
  font-size: 0.8em;
  outline: none;
}

#order_price {
  color: #000;
  background-color: #ff9f43;
  border: none;
  height: auto;
  padding-left: 0;
  padding-right: 0;
  width: 35%;
  overflow: hidden;
  resize: none;
  font-weight: bold;
  font-size: 0.8em;
  text-align: right;
  outline: none;
}

.product-image-price {
  display: inline-block;
  position: relative;
  color: #515151;
  bottom: 0;
  font-size: 1.4em;
  font-weight: bold;
  padding: 0 10px;
  border: 2px solid #ff9f43;
  border-bottom: 0;
  border-radius: 10px 10px 0 0;
  margin-bottom: 15px;
  font-family: Roboto-Bold;
  text-transform: uppercase;
}

.m-order-total {
  margin-top: 10px;
  margin-bottom: 10px;
  text-align: right;
}

.m-order-total span {
  display: inline-block;
  color: #fff;
  margin: 0;
}

.m-order-total hr {
  margin-top: 0;
  margin-bottom: 8px;
}

.m-order-total span:nth-child(2) {
  color: #424242;
  font-size: 22px;
}

.m-order-total span:nth-child(3) {
  font-size: 22px;
}

.m-order-total span:nth-child(4) {
  font-size: 22px;
}

.submit-btn {
  transition: 0.3s;
  width: 176px;
  line-height: 50px;
  background: #fff;
  border: none;
  color: #ff9f43;
  font-family: Roboto-Bold;
  font-size: 10px;
  letter-spacing: 2.1px;
  border-radius: 35px;
  cursor: pointer;
  -webkit-box-shadow: 0px -1px 21px 1px rgba(0, 0, 0, 0.06);
  -moz-box-shadow: 0px -1px 21px 1px rgba(0, 0, 0, 0.06);
  box-shadow: 0px -1px 21px 1px rgba(0, 0, 0, 0.06);
  margin: 20px auto 0 auto;
  border: 2px solid transparent;
  font-size: 0.8em;
  text-transform: uppercase;
}

.submit-btn:hover {
  background: #ff9f43;
  border: none;
  color: #fff;
  border: 2px solid #fff;
}

.btn-description,
.btn-use,
.btn-ingredients,
.btn-reviews {
  position: relative;
  background-color: transparent;
  padding: 6px;
  color: #ff9f43;
  border: 1px solid transparent;
  border-radius: 24px;
  font-family: "Roboto-Regular";
}

.btn-description.active,
.btn-use.active,
.btn-ingredients.active,
.btn-reviews.active {
  color: #515151;
  border: 1px solid #515151;
}

.btn-description:hover,
.btn-use:hover,
.btn-ingredients:hover,
.btn-reviews:hover {
  color: #515151;
}

.btn-description i,
.btn-use i,
.btn-ingredients i,
.btn-reviews i {
  margin-right: 6px;
  font-size: 20px;
  overflow: hidden;
  vertical-align: sub;
}

.m-info-sections {
  padding-left: 16px;
  padding-right: 16px;
  overflow: hidden;
  display: flex;
  flex: 1 1 auto;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

.btn-cart-primary {
  transition: 0.3s;
  position: relative;
  display: inline-block;
  width: 176px;
  height: 50px;
  line-height: 50px;
  background:#ff9f43;
  border: none;
  border: 2px solid transparent;
  color: white;
  font-family: Roboto-Bold;
  font-size: 10px;
  letter-spacing: 2.1px;
  border-radius: 35px;
  cursor: pointer;
  -webkit-box-shadow: 0px -1px 21px 1px rgba(0, 0, 0, 0.06);
  -moz-box-shadow: 0px -1px 21px 1px rgba(0, 0, 0, 0.06);
  box-shadow: 0px -1px 21px 1px rgba(0, 0, 0, 0.06);
  margin-top: -20px;
  margin-bottom: 20px;
  text-align: center;
  overflow: hidden;
}

.btn-cart-primary:hover {
  background: #fff;
  color: #ff9f43;
  border: 2px solid #ff9f43;
}

.btn-cart-primary i:before {
  font-size: 50px;
}

.btn-cart-primary span {
  position: relative;
  top: -20px;
  font-size: 12px;
}

/* Tooltips */
.tooltip {
  display: inline-block;
  position: relative;
  left: 50%;
  width: 118px;
  opacity: 1;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 110px;
  background-color: white;
  color: black;
  text-align: center;
  border-radius: 6px;
  font-family: sans-serif;
  font-weight: normal;
  font-size: 0.6em;
  padding: 0;
  position: absolute;
  z-index: 110;
  bottom: 100%;
  left: 50%;
  margin-left: -54px;
  opacity: 0;
  transition: opacity 1s;

  /* Fade in tooltip - takes 1 second to go from 0% to 100% opac: */
  opacity: 0;
  transition: opacity 1s;
}

.tooltip:after {
  position: absolute;
  bottom: 80%;
  left: 32%;
  width: 0;
  border-top: 5px solid #000;
  border-top: 5px solid hsla(0, 0%, 20%, 0.9);
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
  content: " ";
  font-size: 0;
  line-height: 0;
  visibility: hidden;
  opacity: 0;
  transition: opacity 1s;
}

.tooltip:hover:after {
  visibility: visible;
  opacity: 1;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

@media only screen and (max-device-width: 480px) {
  .btn-description,
  .btn-use,
  .btn-ingredients,
  .btn-reviews {
    display: block;
  }

  .m-info-sections {
    padding-left: 0;
  }

  .proizvod-opis {
    padding-right: 0;
  }

  .m_cart {
    right: 20px;
  }

  .m_cart-overlay {
    height: 100vh;
    width: calc(100vw - 40px);
    top: 0;
  }

  .m_cart-overlay-content {
    width: 100%;
    padding-bottom: 30px;
  }
  
  .cart_screen ul li span {
    font-size: 12px;
  }

  .m_cart-overlay i {
    top: 3px;
  }
}
